Skip to main content
GET
Get Whitelist

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer

Page number.

Example:

1

perPage
integer

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

orderColumn
enum<string>
Available options:
id,
value,
type,
reason,
enabled,
created_at
Example:

null

orderDirection
enum<string>
Available options:
asc,
desc
Example:

null

id
string

Filter by entry ID.

Example:

null

types
string[]
Example:

null

value
string

Filter by whitelisted value.

Example:

null

reason
string

Filter by reason.

Example:

null

payment_method_ids
object

Filter by payment method IDs.

Example:

null

enabled
boolean

Only enabled or disabled entries.

Example:

null

active_from
string

Must be a valid date.

Example:

null

active_to
string

Must be a valid date. Must be a date after active_from.

Example:

null

created_at_from
string

Must be a valid date.

Example:

null

created_at_to
string

Must be a valid date. Must be a date after created_at_from.

Example:

null

Response

200 - application/json
current_page
integer
Example:

1

data
object[]
Example:
first_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/whitelist?page=1"

from
integer
Example:

1

last_page
integer
Example:

1

last_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/whitelist?page=1"

Example:
next_page_url
string
Example:

null

path
string
Example:

"http://api.sellauth.test/v1/shops/1/whitelist"

per_page
integer
Example:

20

prev_page_url
string
Example:

null

to
integer
Example:

1

total
integer
Example:

1